package com.xmomen.module.user.entity.mapper;

import com.xmomen.module.user.entity.SysRoles;
import com.xmomen.module.user.entity.SysRolesExample;
import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface SysRolesMapper extends MybatisMapper {
    // 根据条件统计SysRoles的数量
    int countByExample(SysRolesExample example);

    // 根据条件删除SysRoles
    int deleteByExample(SysRolesExample example);

    // 插入SysRoles
    int insertSelective(SysRoles record);

    // 根据条件和记录更新SysRoles
    int updateByExampleSelective(@Param("record") SysRoles record, @Param("example") SysRolesExample example);
}